# Cinder

# cinder::Capture::Device Class Reference

Represents a video capture device. More...

`#include <Capture.h>`

List of all members.

## Public Member Functions
const std::string & | getName () const
| Returns the human-readable name of the device.
bool | checkAvailable () const
| Returns whether the device is available for use.
bool | isConnected () const
| Returns whether the device is currently connected.
const std::string & | getUniqueId () const
| Returns the OS-specific unique identifier.
int | getUniqueId () const
| Device ()
| Device ()
## Protected Member Functions
| Device (QTCaptureDevice *device)
| Device (const std::string &name, int uniqueId)
## Protected Attributes
std::string | mName
std::string | mUniqueId
int | mUniqueId
## Friends
class | Capture

## Detailed Description

Represents a video capture device.

## Constructor & Destructor Documentation

cinder::Capture::Device::Device | ( |  | ) |

cinder::Capture::Device::Device | ( |  | ) |

cinder::Capture::Device::Device | ( | QTCaptureDevice * | device | ) | `[protected]`

cinder::Capture::Device::Device | ( | const std::string & | name,
|  | int | uniqueId |
| ) |  |  | `[protected]`

## Member Function Documentation

const std::string& cinder::Capture::Device::getName | ( |  | ) | const

Returns the human-readable name of the device.

bool cinder::Capture::Device::checkAvailable | ( |  | ) | const

Returns whether the device is available for use.

bool cinder::Capture::Device::isConnected | ( |  | ) | const

Returns whether the device is currently connected.

const std::string& cinder::Capture::Device::getUniqueId | ( |  | ) | const

Returns the OS-specific unique identifier.

int cinder::Capture::Device::getUniqueId | ( |  | ) | const

## Friends And Related Function Documentation

friend class Capture`[friend]`

## Member Data Documentation

std::string cinder::Capture::Device::mName`[protected]`

std::string cinder::Capture::Device::mUniqueId`[protected]`

int cinder::Capture::Device::mUniqueId`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/Capture.h
- src/cinder/Capture.cpp